From: "Matthias Maier" <tamiko@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/cloc/
Date: Mon, 23 Jan 2023 02:32:29 +0000 (UTC) [thread overview]
Message-ID: <1674441107.e5f8dba726b3b69e16be6a4abe094f4debd3fcc8.tamiko@gentoo> (raw)
commit: e5f8dba726b3b69e16be6a4abe094f4debd3fcc8
Author: Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 23 02:31:47 2023 +0000
Commit: Matthias Maier <tamiko <AT> gentoo <DOT> org>
CommitDate: Mon Jan 23 02:31:47 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e5f8dba7
dev-util/cloc: add 1.96
Signed-off-by: Matthias Maier <tamiko <AT> gentoo.org>
dev-util/cloc/Manifest | 1 +
dev-util/cloc/cloc-1.96.ebuild | 31 +++++++++++++++++++++++++++++++
2 files changed, 32 insertions(+)
diff --git a/dev-util/cloc/Manifest b/dev-util/cloc/Manifest
index acf0f614a443..5f1a2ea68ccb 100644
--- a/dev-util/cloc/Manifest
+++ b/dev-util/cloc/Manifest
@@ -1,2 +1,3 @@
DIST cloc-1.88.tar.gz 548402 BLAKE2B 0da417d907703e42c9c69e46f39792652e6eca49994a8008b0074899bfb999262d529432ab1e8a1c7cc80dc1fefc9514596f099a4238c4768618057ba3b180e8 SHA512 0acd152b387d3088d8bd35d121677d00accb03f882d83bfb34924915d40700b0c23bca1bde924d1999b5fa910503d33af230567fcc8f452f7d00a69caaaf8c4f
DIST cloc-1.90.tar.gz 596758 BLAKE2B 273a0ade1cb5d95fda3404b46869fa970276aae0f4f733efafad7949170e63713059e1a09dffae23a3469517bcce1ab6029b4a91b1900ddc7aa4dd5ec0ab2127 SHA512 d2950d56ac4d8a6fe53059759375d8245aa8a8474462daec385a8b4e2f36961270c08390c361d4a0566e529357b0d302cef31c8fc69dc680655f4c3ea3a1d813
+DIST cloc-1.96.tar.gz 646774 BLAKE2B b632d07e1f3b89b210feee80d861e840f16b66899182c1787212b0aebadb9fa6a7ab33935e3df9f9727ac3a696b776f877f5ab858d506c6917babaa3203ff9fc SHA512 459633ec1b0cf9b17ee7a502d0573b6c35ba76518a9d94f9c4e4f99d85873c8934782ac0cffa8616848378e500bc6dfa74b278cf771a7542cedb505f69471708
diff --git a/dev-util/cloc/cloc-1.96.ebuild b/dev-util/cloc/cloc-1.96.ebuild
new file mode 100644
index 000000000000..7918ec1d987b
--- /dev/null
+++ b/dev-util/cloc/cloc-1.96.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Count Lines of Code"
+HOMEPAGE="https://github.com/AlDanial/cloc"
+SRC_URI="https://github.com/AlDanial/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+DEPEND="dev-lang/perl"
+RDEPEND="${DEPEND}
+ dev-perl/Algorithm-Diff
+ dev-perl/Parallel-ForkManager
+ dev-perl/Regexp-Common
+ virtual/perl-Digest-MD5
+ virtual/perl-File-Spec
+ virtual/perl-File-Temp
+ virtual/perl-Getopt-Long"
+
+src_compile() {
+ pod2man "Unix/${PN}.1.pod" > "${PN}.1" || die
+}
+
+src_install() {
+ doman "${PN}.1"
+ dobin "Unix/${PN}"
+}
next reply other threads:[~2023-01-23 2:32 UTC|newest]
Thread overview: 34+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-01-23 2:32 Matthias Maier [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-02 8:15 [gentoo-commits] repo/gentoo:master commit in: dev-util/cloc/ Matthias Maier
2021-11-24 16:46 Sam James
2021-11-24 7:58 Agostino Sarubbo
2021-06-27 18:25 Matthias Maier
2021-06-27 18:25 Matthias Maier
2021-06-27 18:25 Matthias Maier
2021-02-28 9:03 Joonas Niilola
2021-02-25 13:54 Agostino Sarubbo
2020-12-17 9:02 Sam James
2020-12-04 5:53 Matthias Maier
2020-04-30 22:38 Matthias Maier
2020-04-30 22:38 Matthias Maier
2020-04-30 22:38 Matthias Maier
2019-07-19 7:43 Matthias Maier
2019-06-30 18:20 Matthias Maier
2019-03-02 23:46 Matthias Maier
2019-03-02 23:46 Matthias Maier
2019-03-02 23:46 Matthias Maier
2018-07-05 21:54 Matthias Maier
2018-07-03 7:44 Matthias Maier
2018-02-07 0:54 Matthias Maier
2017-04-11 20:30 Matthias Maier
2017-02-16 18:47 Michael Weber
2017-02-12 17:01 Agostino Sarubbo
2017-02-01 23:13 Matthias Maier
2017-01-27 9:07 Agostino Sarubbo
2017-01-27 9:02 Agostino Sarubbo
2017-01-26 18:58 Matthias Maier
2016-10-14 6:48 Patrice Clement
2016-08-02 11:54 Kent Fredric
2016-02-28 5:00 Matthias Maier
2016-02-28 5:00 Matthias Maier
2016-02-28 5:00 Matthias Maier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1674441107.e5f8dba726b3b69e16be6a4abe094f4debd3fcc8.tamiko@gentoo \
--to=tamiko@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox